Subject: How to use the GL RR to define multiple locations within a campus.

From: "Al Costanzo" <[email-masked]>
Date: Mon, 9 Aug 1999 21:41:56 -0500

This email seems to have been dropped from the list. I am resending it.

It explains how to use mailstops to increase precision in the RR.

-al

From: Al Costanzo [mailto:[email-masked]]
Sent: Wednesday, August 04, 1999 12:13 AM
To: [email-masked]'
Cc: [email-masked]'
Subject: RE: Why GL

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, August 03, 1999 12:18 PM
> To: Al Costanzo
> Cc: [email-masked]
> Subject: Why GL
> 
> 
>>>It is as precise or imprecise as the publisher wishes it to be!  ;-)
>> 
>> 'Can be' would be better verbage.
>> 
>> You state that all you need is a cheep portable  GPS to use LOC.
>> 
>> Is there any other DNS RR that requires a non-network oriented device to use
>> a DNS entry?
>> 
>> Requiring people to need a GPS to use LOC (in my mind is ridiculous)
> 
> 	No, GPS is not required.  (I'll note that GPS  may help and
> 	there are estimates of low double-digit  millions for the number
> 	of deployed GPS chips in the next 2-3 years or  one GPS device
> 	for every two computing devices.)
> 
> 
>> To answer your question:
>> 
>> 1. You do not need a GPS to use the RR.
> 
> 	Either LOC or the proposed GL.
> 
>> 2. The RR is readily understandable

ONLY IF YOU ARE FAM. WITH LAT. LOG. & ALT. locations in your head.

> 	perhaps - I have trouble with many addresses in china, India
> 	and Africa.  Often they are a single building in the
> 	community and people must go to that location for postal mail
> 	delivery.

eplaination begins here:

GLs quotes string does not limit precision. We thought 
of this. Many companies, colleges have huge campuses and 
they elect to create (Mail Stops) that specify an exact 
location on their property.  The post office does not 
care about the MS but mail would not make it to its 
final location without it. Some one other than a postal 
carrier bring it there.

The same type of 'additional precision' could be added 
to the quoted string with no problem at all.  Precision 
is left up to the DNS administrator just as it is with LOC.

>There is no way of id'ing a each specific building for
> 	postal service.  I can't get the accuracy that 
>     I want w/ GL. 
> 	I can with LOC.

I beg to differ, MS are much more precise for internal 
use and keep external (unwanted) eyes from knowing the 
actual location.  This method is far superior to LOC 
since if an entity does not 'publish' internal Mail Stop 
location info externally the DNS will be able to contain 
very precise information for internal use and somewhat 
vague information for everyone else.

With LOC if you specify an EXACT location EVERYONE knows it.

> 
>> 3. It supports any location in the 'known' universe
> 
> 	Not really, unless I can code "Somewhere over there" or 
> 	"To the Left!"

Well you could do this but to the left of what? :-)

> 
>> 4. It is just as precise as any RR that uses Longitude 
> and Latitude
> 
> 	Nope.

More precise actually...  My space station example shows 
this beautifully.

>> I do not see how LOC is anymore flexible than GL.  If you are talking about
>> not giving your exact location away, you would do this with GL by using only
>> the city (or state) name in the quoted string, anything more ambiguous and
>> why bother putting it in.
> 
> 	Numbers tend to be less cryptic than alpha or iconic strings 
> 	that most people use for expressing location.
> 
> 	RU14-18, Rack8, Room 820, 4676 Admiralty Way, Marina del Rey, CA. 90292
> 
> vs
> 	33 55 59.318 N 118 25 55.223 W 10M 20M
> 
> 	If you are are native Korean reader, which makes more sense?

The first would. Esp if my alphabet does not contain the 
US-ASCII number system. I would need to know English in 
your example either way and may not be fam with LAT & 
LONG I would know much more from the GL returned information.  
	
>> Your zip code and postal address is not some arbitrary thing a little radio
>> shack gizmo tells you is right.  your postal address IS RIGHT all the time.
> 
> 	But won't tell me where on the King Ranch I am 

Yes it can (see last comment)
>      (side note to
> 	non-US readers, the King Ranch in Texas has its own zip code and
> 	covers thousands of square miles.  And of course postal 
> codes never
> 	change. Just like telco area codes.

___SAY WHAT??___ Area codes in New Jersey have been 
change once every two years

First there was 201 and 609
908 was added a few years back
732 and 973 were added last year

Please get your facts right before making statements like this.

...and I do know of a town that has been issued a new 
Zip code, was a huge farm and now it is a city.

As for the King Ranch, they must use mail stops or all 
their mail goes to one building and even if that is true 
MS could be assigned. So I find your argument not valid.

-Al